summaryrefslogtreecommitdiffstats
path: root/azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh
diff options
context:
space:
mode:
authorVidisha <Vidisha.De@amdocs.com>2018-09-20 19:05:00 +0530
committerVidisha De <Vidisha.De@amdocs.com>2018-10-09 05:37:44 +0000
commit7409dfb144cf2a06210400134d822a1393462b1f (patch)
tree188151d737a8ea38dffe651d9ed21396cebb4c29 /azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh
parent9e65649dfff8f00dc0a0ef6b10d020ae0e2255ba (diff)
vFW and vDNS support added to azure-plugin
Change-Id: I5c7b08382d87ff17d75259885f00dfceb5486f07 Issue-ID: MULTICLOUD-354 Signed-off-by: Vidisha <Vidisha.De@amdocs.com>
Diffstat (limited to 'azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh')
-rw-r--r--azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh b/azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh
new file mode 100644
index 0000000..7471cfc
--- /dev/null
+++ b/azure/aria/aria-extension-cloudify/examples/openstack-hello-world/scripts/start.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+set -e
+
+TEMP_DIR=/tmp
+PYTHON_FILE_SERVER_ROOT="$TEMP_DIR/python-simple-http-webserver"
+PID_FILE=server.pid
+PORT=$(ctx node properties port)
+URL="http://localhost:$PORT"
+
+ctx logger info [ "Starting web server at: $PYTHON_FILE_SERVER_ROOT." ]
+
+cd "$PYTHON_FILE_SERVER_ROOT"
+nohup python -m SimpleHTTPServer "$PORT" > /dev/null 2>&1 &
+echo $! > "$PID_FILE"
+
+server_is_up() {
+ if which wget >/dev/null; then
+ if wget "$URL" >/dev/null; then
+ return 0
+ fi
+ elif which curl >/dev/null; then
+ if curl "$URL" >/dev/null; then
+ return 0
+ fi
+ else
+ ctx logger error [ "Both curl and wget were not found in path." ]
+ exit 1
+ fi
+ return 1
+}
+
+ctx logger info [ "Waiting for web server to launch on port $PORT..." ]
+STARTED=false
+for i in $(seq 1 15)
+do
+ if server_is_up; then
+ ctx logger info [ "Web server is up." ]
+ STARTED=true
+ break
+ else
+ ctx logger info [ "Web server not up. waiting 1 second." ]
+ sleep 1
+ fi
+done
+
+if [ "$STARTED" = false ]; then
+ ctx logger error [ "Web server did not start within 15 seconds." ]
+ exit 1
+fi